{% extends 'base.html' %}
{% load static %}

{% block meta %}
  <title>Story 9</title>
  
{% endblock meta %}
{% load crispy_forms_tags %}
{% block content %}

<nav class="navbar bg-dark navbar-expand-lg">
    <a class="navbar-brand" href="#" style="color:white">
      Story 9
    </a>

    <div class="collapse navbar-collapse" id="navbarNavAltMarkup">
        <div class="navbar-nav mr-auto">
          <a class="nav-item nav-link" href="{% url 'story9:index' %}" style="color:white">Home</a>
        </div>
  
        {% if user.is_authenticated %}
        <div class="navbar-nav ml-auto">  
          <a class="nav-item nav-link" href="{% url 'story9:logout' %}" style="color:white">Log Out</a>
        </div>
        {% else %}
        <div class="navbar-nav ml-auto">  
          <a class="nav-item nav-link" href="{% url 'story9:login' %}" style="color:white">Log In</a>
          <a class="nav-item nav-link" href="{% url 'story9:signup' %}" style="color:white">Sign Up</a>
        </div>
        {% endif %}
      
    </div>
  </nav>

  <div class = "container pt-4">
    <img src="{{ user.profile.image }}" alt="profilePic" style="width: 200px; height: 200px;">
    {% if user.profile.fname != "" %}
    <h1>Halo {{user.profile.fname}} {{user.profile.lname}}</h1><br>
    {% else %}
    <h1>Halo {{user}}</h1>
    {% endif %}

    <div id="editProfile" data-toggle="modal" data-target="#edit" type="button" class="btn btn-outline-dark">Edit Profile</div>
  </div>

  <div class="modal fade" id="edit" tabindex="-1" role="dialog" aria-labelledby="exampleModalCenterTitle" aria-hidden="true">
    <div class="modal-dialog modal-dialog-centered" role="document">
      <div class="modal-content">
        <div class="modal-header">
          <h5 class="modal-title">Edit User Profile</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
            <span aria-hidden="true">&times;</span>
          </button>
        </div>
        <form action="{% url 'story9:profile' %}" method="POST">
        <div class="modal-body">            
                {% csrf_token %}
                {{form|crispy}}
                                        
        </div>
        <div class="modal-footer">
            <button id="saveEdit" type="submit" class="btn btn-dark mr-2">Save</button>
            <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        </div>
        </form> 
      </div>
    </div>
  </div>
{% endblock content %}